Bug 1659232 - [abrt] foremost: __readdir64(): foremost killed by SIGSEGV
Summary: [abrt] foremost: __readdir64(): foremost killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: foremost
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e17ee8681670c193fc32b1b10be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 20:50 UTC by Reza Sh
Modified: 2019-11-12 19:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-12 19:24:44 UTC


Attachments (Terms of Use)
File: backtrace (7.30 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: cgroup (389 bytes, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: core_backtrace (1.74 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: dso_list (230 bytes, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: environ (10.85 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: maps (2.06 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: mountinfo (3.55 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: open_fds (180 bytes, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-13 20:50 UTC, Reza Sh
no flags Details

Description Reza Sh 2018-12-13 20:50:25 UTC
Version-Release number of selected component:
foremost-1.5.7-20.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        foremost -o Desktop/rescued -i /home/reza/Desktop/admin-how-to/
crash_function: __readdir64
executable:     /usr/bin/foremost
journald_cursor: s=14581256b8e4455f922db39db451a082;i=79ea;b=fd587846d5a849b1b443c745256af878;m=23fa3ddbd;t=57caf95b6903e;x=f6e8a3cc266f571e
kernel:         4.19.6-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 __readdir64 at ../sysdeps/posix/readdir.c:44
 #1 cleanup_output at dir.c:38
 #2 user_interrupt at engine.c:25
 #3 search_stream at engine.c:581
 #4 process_stdin at engine.c:703

Comment 1 Reza Sh 2018-12-13 20:50:28 UTC
Created attachment 1514214 [details]
File: backtrace

Comment 2 Reza Sh 2018-12-13 20:50:30 UTC
Created attachment 1514215 [details]
File: cgroup

Comment 3 Reza Sh 2018-12-13 20:50:31 UTC
Created attachment 1514216 [details]
File: core_backtrace

Comment 4 Reza Sh 2018-12-13 20:50:33 UTC
Created attachment 1514217 [details]
File: cpuinfo

Comment 5 Reza Sh 2018-12-13 20:50:34 UTC
Created attachment 1514218 [details]
File: dso_list

Comment 6 Reza Sh 2018-12-13 20:50:36 UTC
Created attachment 1514219 [details]
File: environ

Comment 7 Reza Sh 2018-12-13 20:50:38 UTC
Created attachment 1514220 [details]
File: exploitable

Comment 8 Reza Sh 2018-12-13 20:50:40 UTC
Created attachment 1514221 [details]
File: limits

Comment 9 Reza Sh 2018-12-13 20:50:41 UTC
Created attachment 1514222 [details]
File: maps

Comment 10 Reza Sh 2018-12-13 20:50:43 UTC
Created attachment 1514223 [details]
File: mountinfo

Comment 11 Reza Sh 2018-12-13 20:50:45 UTC
Created attachment 1514224 [details]
File: open_fds

Comment 12 Reza Sh 2018-12-13 20:50:46 UTC
Created attachment 1514225 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-10-31 20:19:12 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Paul W. Frields 2019-11-12 19:24:44 UTC
This appears to be a user error -- input was not a file representing a disk image as expected by foremost.


Note You need to log in before you can comment on or make changes to this bug.